package ru.yandex.webmaster.common.seolinks.info;

import java.util.Date;

/**
 * @author avhaliullin
 */
public class SeoLinksHistoryRecord {
    private final String hostName;
    private final long userId;
    private final Date createdAt;
    private final boolean useSeoLinks;

    public SeoLinksHistoryRecord(String hostName, long userId, Date createdAt, boolean useSeoLinks) {
        this.hostName = hostName;
        this.userId = userId;
        this.createdAt = createdAt;
        this.useSeoLinks = useSeoLinks;
    }

    public String getHostName() {
        return hostName;
    }

    public long getUserId() {
        return userId;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public boolean isUseSeoLinks() {
        return useSeoLinks;
    }
}
